/*ADJUST GLOBAL FOLDERS*/
*in my case:

clear all
set more off

*path to dropbox folder GID_QE (where do files are and clean data will be saved)
global USER_FOLDER="C:\Users\" /*instert your path here*/

*Need to have subfolder \Programs\Prepare_INPS_Data\ with do files for this to run smoothly

*path to raw data 
global RAW_DATA=/*instert path To losai raw data here*/

*the folder must contain subfolders:
*- \01.ANAGRAFICA\ (with demographic dataset)
*- \02.DIPENDENTI\ (with job-level data)
*and so on
*note that this structure is the default one when you unzip the data 
*provided by the ministry 
global MODIFIED_DATA= /*insert path to folder where dta should be saved*/


global GID_CORE_DATA_FOLDER=/*where you want the data for core analysis*/



*This files start from the archives provided by the ministry and made dta using 
*the dictionaries provided by fondazione debenedetti and modified to 
*agree with new data realease (2018) and get at the dataset 
*use for the analysis in matlab

*insheet txt using FRDB do file
local do_this=0
if `do_this'==1{
	do "$USER_FOLDER\Programs\Prepare_INPS_Data\makedata_updated_to2016_data"
}
*get rid of replicated observations in demo-file
local do_this=0
if `do_this'==1{
do "$USER_FOLDER\Programs\Prepare_INPS_Data\clean_demographic_data.do"
}
*generate topcoding threshold:
local do_this=0
if `do_this'==1{
do "$USER_FOLDER\Programs\Prepare_INPS_Data\generate_threshold.do"
}

*create single firm-level dataset ready for merge 

local do_this=0
if `do_this'==1{
do "$USER_FOLDER\Programs\Prepare_INPS_Data\generate_firmdata.do"
}


*prepare ateco (sector code) cross walk: due to change in italian sector classification in 2007

local do_this=0
if `do_this'==1{
do "$USER_FOLDER\Programs\Prepare_INPS_Data\prepare_ateco_crosswalk.do"
}



*get year-individual-panel
local do_this=0
if `do_this'==1{
do "$USER_FOLDER\Programs\Prepare_INPS_Data\create_dataset.do"
}

*get data required for core analysis
local do_this=0
if `do_this'==1{
do "$USER_FOLDER\Programs\Prepare_INPS_Data\update_dataset_to_core_analysis_requirements.do"
}

*get other versions of data (finally we will use GID_Data_Core_new_4w.dta for core analysis, where we only include workers with at least 4 weeks of work)
local do_this=0
if `do_this'==1{
do "$USER_FOLDER\Programs\Prepare_INPS_Data\create_different_versions_of_dataset_to_core_analysis_requirements.do"
}



