*This program infers the topcoding threshold using the following information from
*the file 02.TRACCIATO***.doc in the Metadata: 
/*
E’ stato imposto un valore massimo corrispondente, per il 2012, a 645 euro 
giornaliere full time (equivalenti a poco più di 200.000 euro per l’anno intero). 
Per gli anni precedenti o successivi al 2012 il valore massimo è ricavato 
utilizzando i numeri indice delle retribuzioni contrattuali orarie lorde ISTAT.
*/


use ID_LAVORATORE Retribuzione_imponibile Anno using "$RAW_DATA\02.DIPENDENTI\rapportilavoro_19852016.dta", replace

*The threshold is computed as the maximum over 312:
matrix QQ=[1,2]
forvalues aa=1985(1)2016{
	disp `aa'
	qui: sum Retr if Anno==`aa'
	local mmm=r(max)
	local th= `mmm'/312
	matrix QQ=QQ\[`aa',`th']
}
matrix list QQ
clear
svmat QQ
drop if QQ1==1
rename QQ1 Anno
rename QQ2 th
save "$MODIFIED_DATA\threshold.dta", replace
