
*path to dropbox folder GID_QE (where do files are and clean data will be saved)
global USER_FOLDER="C:\Users\" /*instert your path here*/

*Need to have subfolder \Programs\Prepare_INPS_Data\ with do files for this to run smoothly

*path to raw data 
global RAW_DATA=/*instert path To losai raw data here*/

*the folder must contain subfolders:
*- \01.ANAGRAFICA\ (with demographic dataset)
*- \02.DIPENDENTI\ (with job-level data)
*and so on
*note that this structure is the default one when you unzip the data 
*provided by the ministry 
global MODIFIED_DATA= /*insert path to folder where dta should be saved*/


global GID_CORE_DATA_FOLDER=/*where you want the data for core analysis*/

use "$MODIFIED_DATA\firm_data.dta", replace
keep if Anno==2004 | Anno==2005
keep firm_ID Anno sector_ateco
xtset firm_ID Anno
gen lag_sector=l.sector_ate 
drop if lag_sector==.
keep if Anno==2005
bys sector lag_sector: gen counts=_N
bys sector (lag_sector): egen max_counts=max(count)
keep if counts==max_counts
bys sector lag_sector counts: gen tokeep=_n
keep if tokeep==1
rename lag_sector most_likely_ateco_2002
keep sector_ateco most_likely_ateco_2002
save "$MODIFIED_DATA\crosswalk_ateco.dta", replace


