
clear all
set more off



*path to dropbox folder GID_QE (where do files are and clean data will be saved)
global USER_FOLDER="C:\Users\" /*instert your path here*/

*Need to have subfolder \Programs\Prepare_INPS_Data\ with do files for this to run smoothly

*path to raw data 
global RAW_DATA=/*instert path To losai raw data here*/

*the folder must contain subfolders:
*- \01.ANAGRAFICA\ (with demographic dataset)
*- \02.DIPENDENTI\ (with job-level data)
*and so on
*note that this structure is the default one when you unzip the data 
*provided by the ministry 
global MODIFIED_DATA= /*insert path to folder where dta should be saved*/

global GID_CORE_DATA_FOLDER=/*where you want the data for core analysis*/

u id year y_birth y_death sex age Y Occupation using "$USER_FOLDER\Data\clean\GID_Data_Clean_plus", replace

gen male=sex=="M" 
replace Occupation="WhiteC" if Occupation=="Manager (middle-level)"
replace Occupation="App_other" if Occupation=="Apprentship" | Occupation=="Other" 
replace Occupation="Manager" if Occupation=="Manager (high-level)"
rename Y wage_inc

keep id year y_birth y_death male Occupation wage_inc 

drop if wage_inc==0

cd "$GID_CORE_DATA_FOLDER"
save  GID_Data_Core, replace
